image: "docker:latest"
services: 
  - "docker:dind"
stages: 
  - build
  - package
  - deploy
variables: 
  DOCKER_DRIVER: overlay
  SPRING_PROFILES_ACTIVE: gitlab-ci
  BUNDLE_SRC: jar.zip # defines the zipfile to upload to S3
  ZIP_NAME: prod.zip
maven-build:
  image: maven:3.6.0-jdk-8
  stage: build
  script: 'mvn clean install'
  artifacts:
    paths:
      - target/*.jar
### DEPLOY ####################################################
Upload to S3:
  image: 
    name: banst/awscli
    entrypoint: [""]
  stage: deploy
  script:
    - apk update && apk add unzip zip git
    - aws configure set region us-east-1
    - mkdir -p deploy 
    - mv -f target/*.jar "deploy"
    - zip -r $BUNDLE_SRC deploy scripts appspec.yml
    - aws s3 cp $BUNDLE_SRC s3://$S3_BUCKET/$ZIP_NAME-1.0.0
  only:
    - master
   


  

